from flask import Flask, render_template, request, redirect, url_for

app = Flask(__name__)

games = [
    {"name": "Gloomhaven", "rating": 10},
    {"name": "Descent", "rating": 7},
    {"name": "Flamme Rogue", "rating": 6},
    {"name": "Eclipse", "rating": 9},
    {"name": "Twilight Imperium", "rating": 8},                
]

@app.route("/")
def index():
    return render_template("index.html", games=games)

@app.route("/remove/<int:index>", methods=["GET"])
def remove(index):
    games.pop(index)
    return redirect(url_for("index"))    

@app.route("/add", methods=["POST"])
def add():
    name = request.form["name"]
    rating = request.form["rating"]
    games.append({"name": name, "rating": rating})
    return redirect(url_for("index"))

@app.route("/info")
def info():
    index = int(request.args["id"])
    return render_template("info.html",
                           name=games[index]["name"],
                           rating=games[index]["rating"])

